html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}
body {
    margin-top: 0px;
    height:100vh;
  }
  body, label, select, input, div, span,::placeholder {
    font-family: 'Kanit', sans-serif;
  }
  #root{min-height: 100%;
    position: relative;
    background-color: #e9f0f2;}

    /* ----- Background Color ----- */
        .bgc-whitegrey{background-color: #f5f5f5;}
        .bg-color-active{
            background-color:#8eca60;
        }

    /* ----- Color ----- */
        .text-color {color:#444444;}

    /* ----- Font ----- */
        .font-poppins{ font-family: 'Poppins', sans-serif;}
        .font-roboto{font-family: 'Roboto', sans-serif;}
        /* .font-raleway{font-family: 'Raleway', sans-serif;} */
        .font-sans-serif{font-family:sans-serif;}
        .font-kanit{
            font-family: 'Kanit', sans-serif;
        }


    /* ----- Font Size ----- */

        .w-10px{
            width:10px;
        }
        .f-12px{
            font-size: 12px
        }
        .f-13px{
            font-size:13px;
        }
        .f-14px{
            font-size: 14px;
        }
        .f-16px{
            font-size: 16px;
        }
        .f-18px{
            font-size: 18px;
        }
        .f-20px{
            font-size: 20px;
        }
        .f-22px{
            font-size: 22px;
        }
        .f-24px{
            font-size: 24px;
        }
        .f7{
            font-size: .7rem;
        }
    /* ----- Height ----- */
        .h-10{
            height:10%;
        }
        .h-20{
            height:20%;
        }
        .h-60{
            height:60%;
        }
        .h-80{
            height:80%;
        }
        .h-30{
            height:30%;
        }
        .h-40{
            height:40%;
        }
        .h-80vh{
            height:80vh;
        }
        .h-100vh{
            height:100vh;
        }
        .mh-500px{
            max-height: 500px;
        }
        .mh-100{
            min-height:100%;
        }
    /* ----- Margin ----- */
        .mr-4px{
            margin-right:4px;
        }
        .mr-6px{
            margin-right: 6px;
        }

        .mt-3px{
            margin-top:3px;
        }
        .mt-6px{
            margin-top: 6px;
        }



    /* ----- Padding ----- */

        .pt-40px{
            padding-top: 40px;
        }
        .pt-55px{
            padding-top: 55px;
        }
        .pv-2px{
            padding-top: 2px !important;
            padding-bottom: 2px !important;
        }
        .pv-7px{
            padding-top:7px;
            padding-bottom:7px;
        }

    /* ----- Width ----- */
        .w-50vw{
            width:50vw;
        }
        .w-570px{
            width: 570px;
        }
        .w-60px{
            width: 60px;
        }
        .w-65px{
            width: 65px;
        }
        .w-100px{
            width: 100px;
        }
        .w-120px{
            width:120px;
        }
        .mw-65rem{
            max-width: 65rem;
        }

.Input {
    border-style: solid;
    border-width: 1px;
    border-color: rgba(0, 0, 0, .2);
    display: block;
    font-weight: normal;
    font-weight: bold;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 100%;
    color: rgba(0, 0, 0, .8);
    padding: .5rem;
    margin-bottom: 1rem;
    max-width: 30em;
    font-size: .875rem;
    }

.input-reset::-moz-focus-inner {
    border: 0;
    padding: 0;
}

.border-box-grey{
    border-style: solid;
    border-width: .7px;
    background-color: white;
    border-color: #e7e7e7;
    max-width: 24rem;
    border-radius: 10px;
}
.input-bottom {
	/* font-family: Arial, Helvetica, sans-serif;  */
    color: #555555;
    line-height: 1.2;
    display: block;
    width: 100%;
    height: 45px;
    background: transparent;
    padding: 0 5px;
}

.link{
    /* font-family: 'Poppins', sans-serif; */
    color:#0c56dc;
    font-size: .7rem;
    cursor: pointer;
    text-decoration: underline;}
/* .center {
    margin-right: auto;
    margin-left: auto;
} */
.input-transparent{
    border: 1px solid #d3d3d3;
    /* padding: .5rem; */
    padding: 12px 20px;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: transparent;
    width: 100%;
    border-radius: 3px;
    font-size: 14px;
    box-sizing: border-box;
}
.input-transparent::-moz-focus-inner {
    border: 0;
    padding: 0;
}


.box-shadow2{
    box-shadow: 0px 1px 15px 1px rgba(69,65,78,0.08);
    background-color: #fff;
}
.box-shadow-search {
    box-shadow: 0 2px 4px rgba(0,0,0,0.2), 0 -1px 0px rgba(0,0,0,0.02);
    background: #fff;
}

.input-nonborder {
    outline: none !important;
    border: none !important;
}
.input-nonborder::placeholder {
    font-family: 'Poppins', sans-serif;
    font-size: 1rem;
    }

/* Table scroll */
    /* section {
        position: relative;
        border-top: 1px solid #dee2e6;
        padding-top: 37px;
        background-color: #45b3e3;
        font-size:1rem;
        color: #777;
      } */
      .dashboard-tablescroll tr:nth-child(even){background: #f0f0f0 !important}
      .dashboard-tablescroll tr:nth-child(odd){background: #ffffff !important}
      section.positioned {
        position: absolute;
        top:100px;
        left:100px;
        width:800px;
        box-shadow: 0 0 15px #333;
      }
      .container {
        overflow-y: auto;
        max-height: 420px;
        border-top: 1px solid #dee2e6;
      }
      .dashboard-tablescroll {
        border-spacing: 0;
        width:100%;
      }
      /* .dashboard-tablescroll td + td {
        border-left:1px solid #eee;
      } */
      .dashboard-tablescroll td,.dashboard-tablescroll th {
        /* border-bottom:1px solid #eee; */
        /* background: #fff; */
        color: #000;
        padding: 10px 15px;
      }
      .dashboard-tablescroll th {
        height: 0;
        line-height: 0;
        padding-top: 0;
        padding-bottom: 0;
        color: transparent;
        border: none;
        white-space: nowrap;
      }
      .dashboard-tablescroll th div{
        position: absolute;
        font-size: 13px;
        /* color: #575962; */
        /* color: #777; */
        color:rgb(255, 255, 255);
        padding: 9px 15px;
        top: 0;
        margin-left: -15px;
        line-height: normal;
        /* border-left: 1px solid #f4f3f8; */
      }
      .dashboard-tablescroll th:first-child div{
        border: none;
      }
      .dashboard-tablescroll tr:hover
      {background:#f7f7fa !important;
       cursor: pointer;
      }
      .dashboard-tablescroll tr{border-top: 1px solid #dee2e6;}

      .dashboard-tablescroll td{font-size:13px;
        color: #777;}

        /* tap */
        .linetab{text-decoration: none;
            border-bottom: 2px solid #36a3f7;}
        .linetap-page{   border-bottom: 1px solid #dedfe2;}
        .text-normal{color:#575962;}
        .w-25{width:25%;}
        .w-35{width:35%}
        .w-65{width:65%}

    /*----------  Scroll bar ---------*/
    /* width */
    ::-webkit-scrollbar
    { width: 8px;
      height:8px;}

   /* Track */
   ::-webkit-scrollbar-track {
       box-shadow: inset 0 0 2px rgb(182, 182, 182);
       /* border: 1px solid rgb(221, 221, 221); */
       /* border-radius: 3px; */
       background-color:white;
   }

   /* Handle */
   ::-webkit-scrollbar-thumb {
       background-color: #dbdbdb;
       border-radius: 3px;
   }

   /* Handle on hover */
   ::-webkit-scrollbar-thumb:hover {
       background: #adadad;
   }
HTML,BODY{
    color:black;
    scrollbar-face-color:#05B7FF;
    scrollbar-arrow-color:#05B7FF;
    scrollbar-track-color:#CBD5D7;
    scrollbar-shadow-color:#05B7FF;
    scrollbar-highlight-color:#05B7FF;
    scrollbar-3dlight-color:#808080;
    scrollbar-darkshadow-Color:#202020;
}
.btn-normal{
    text-align: center;
    background-color: #3c87f8;
    color:white;
    font-size: .875rem;
    text-decoration: none;
    transition: color .15s ease-in;
    opacity: 1;
    transition: opacity .15s ease-in;
    border-radius: .2rem;
    padding-top: .8rem;
    padding-bottom: .8rem;
    display: inline-block;
    margin-bottom: 1rem;
    margin-top: 2rem;
    /* max-width: 30em; */
    cursor: pointer;
    width:100%;
    /* font-family: 'Poppins', sans-serif; */
}
.btn-neutral{
    text-align: center;
    background-color: #3c87f8;
    color:white;
    font-size: .875rem;
    text-decoration: none;
    transition: color .15s ease-in;
    opacity: 1;
    /* transition: opacity .15s ease-in; */
    transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    border-radius: .2rem;
    padding-top: .8rem;
    padding-bottom: .8rem;
    display: inline-block;
    margin-bottom: 1rem;
    margin-top: 2rem;
    max-width: 30em;
    cursor: pointer;
    width:100%;
    /* font-family: 'Poppins', sans-serif; */
}

.btn-normal:link, .btn-normal:visited {
    transition: color .15s ease-in;
}

.btn-normal:hover {
    transition: color .15s ease-in;
    opacity: .5;
    transition: opacity .15s ease-in;
}

.btn-normal:active {
    transition: color .15s ease-in;
}

.btn-normal:focus {
    transition: color .15s ease-in;
    outline: 1px dotted currentColor;
    opacity: .5;
    transition: opacity .15s ease-in;

}
/*---------- button ---------- */
    .btn-basic{
        border-color:white;
        border-style: solid;
        border-width: 1px;
        border-radius: 4px;
        /* padding-top: .3rem;
        padding-bottom: .3rem;
        padding-left: .5rem;
        padding-right:.5rem; */
        padding:8px 16px;
        cursor: pointer;
        text-decoration: none;
        /* font-size: .875rem; */
        font-weight: 100;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }

    .btn-blue{
        background-color:#009DDE;
        color:rgb(255, 255, 255);
        border-color:#009DDE;
    }
    .btn-blue2 {
        border: 1px solid #009DDE !important;
        color: #ffffff;
        background-color:#009DDE;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
        font-family: 'Kanit', sans-serif;
    }
    .btn-blue2:hover {
        background-color:#007EB5;
        border: 1px solid #007EB5;
    }
    .btn-blue2:disabled {
        border: 0px solid #8B969A !important;
        color: #8B969A;
        background-color:#D9E1E4;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-adv{
        color:#ffffff;
        background-color: #00b386;
        border-color: #00b386;
        /* background-color: #17a2b8;
        border-color: #17a2b8; */
        /* border-color:#176497; */
        /* background-color:#176497; */
    }
    .btn-adv:hover, .btn-adv:focus{
        color:#ffffff;
        background-color: #00a078;
        border-color: #00a078;
        /* background-color: #138496;
        border-color: #117a8b;     */
        /* background-color:#176497;
        border-color:#176497; */
    }
    .btn-border-adv{
        background-color:white;
        color:#00b386;
        border-color: #00b386;
        /* color: #17a2b8;
        border-color: #17a2b8; */
        /* color:#176497;
        border-color:#176497; */
    }
    .btn-border-adv:hover{
        color:white;
        background-color: #00b386;
        border-color: #00b386;
        /* background-color: #138496;
        border-color: #117a8b;     */
        /* background-color:#176497;
        border-color:#176497; */
    }
    .btn-hover-adv{
        color:#ffffff;
        background-color:#176497;
        border-color:#009DDE;
        border:2px;
    }
    .btn-green{background-color:#65A30D;
        color:#FCFDFD;}
    .btn-green1{
        background-color: #28a745;
        color: #FCFDFD;
        border-color: #4cae4c;
    }
    .btn-green1:hover{
        background-color: #218838;
        border-color: #1e7e34;

    }
    .btn-orange{
        color:white;
        background-color:#DC7633;
    }
    .btn-orange:hover{
        color:white;
        background-color:#DE6B20;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }

    .btn-red{background-color:#f7070f;
        color:rgb(255, 255, 255);
    }

    .btn-blue:hover,.btn-blue:active,.btn-blue:focus {
        background-color:#007EB5;
        /* transition: color .15s ease-in; */
        border-color:#007EB5;
        color:white;
    }

    .btn-gray{
        background-color:#f0f0f0;
        border: 1px solid rgb(204, 204, 204);
        color:rgb(68, 68, 68);
        cursor:pointer;
    }

    .btn-gray:hover,.btn-gray:active,.btn-gray:focus {
        background-color:#b1b1b1;

        /* transition: color .15s ease-in; */
    }

    .btn-white{
        color: #333;
        background-color: #ffffff;
        border:1px solid #adadad;
        cursor: pointer;
    }
    /* .btn-white:hover,.btn-white:active,.btn-white:focus {
            background-color:#ecebeb;
            border-color:#9e9e9e;
    } */
    .btn-white:hover{
        background-color:#ecebeb;
        border-color:#9e9e9e;
}

    .btn-red{
        background-color: #EF4444;
        border-color: #EF4444;
        color: #fff;}
    .btn-red:hover,.btn-red:active,.btn-red:focus {
        background-color: #af3725;
        border-color: #c0341d;
        /* transition: color .15s ease-in; */
    }

    .btn-border-red{
        border:1px solid #EF4444;
        background-color: transparent;
        color:#EF4444;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-border-red:hover{
        border:1px solid #EF4444;
        background-color:#EF4444;
        color:white;
    }
    .btn-border-red1{
        border:1px solid #ff4b50;
        background-color:white;
        color:#ff888c;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-border-red1:hover{
        border:1px solid #ff4b50;
        background-color:#ff4b50;
        color:white;
    }
    .btn-border-red2{
        border:1px solid #ff4b50 !important;
        background-color:white;
        color:#ff888c;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-border-red2:hover{
        background-color:#ff4b50;
        color:white;
    }
    .btn-border-red2:disabled{
        border: 0px solid #8B969A !important;
        color: #8B969A;
        background-color:#D9E1E4;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
        cursor: default;
    }

    .btn-border-gray{
        border:1px solid #e4eaec;
        background-color:white;
        color:#76838f;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-border-gray:hover{
        border:1px solid #e4eaec;
        background-color:rgba(118,131,143,.1);
        color:#76838f;
    }

    .btn-border-blue{
        border: 1px solid #009DDE;
        color: #009DDE;
        background-color:white;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-hover-blue:hover{
        color:white;
        background-color:#007EB5;
        border: 1px solid #007EB5;
    }
    .btn-border-blue:disabled{
        border: 1px solid #8B969A;
        color: #8B969A;
        background-color:#D9E1E4;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    
    .btn-border-blue2{
        border: 1px solid #009DDE !important;
        color: #009DDE;
        background-color:white;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-border-blue2:hover{
        color:white;
        background-color:#007EB5;
        border: 1px solid #007EB5;
    }
    .btn-border-blue2:disabled{
        border: 0px solid #8B969A !important;
        color: #8B969A;
        background-color:#D9E1E4;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
        cursor: default;
    }


    .btn-border-orange{
        border:1px solid #DC7633;
        background-color:white;
        color:#DC7633;
        transition: border .2s linear,color .2s linear,width .2s linear,background-color .2s linear;
    }
    .btn-border-orange:hover{
        border:1px solid #DC7633;
        background-color:#DC7633;
        color:white;
    }

    .btn-style-none{
        border: none  !important;
        cursor: pointer !important;
        outline: inherit !important;
    }
    .border-bottom{
        border-bottom: 1px solid #d1d5da;
    }
    .border-top{
        border-top:1px solid #d1d5da;
    }
    .input-basic{
        height: 28px;
        font-size: .875rem;
    }
    .btn-disabled{
        background-color: #dcf3f0;
    }
    .btn-blue-disabled{
        border: 1px solid #D9E1E4;
        color: #8B969A;
        background-color: #D9E1E4;
        padding-left: 1rem;
        padding-right: 1rem;
        cursor:default;

    }
.btn-icon-blue{
    color:#009DDE;
}
.btn-icon-blue:hover{
    color:#007EB5;
}
.input-search{
    font-size: 12px !important;
    padding: 4px !important;
    height: 28px;
    /* width:88%; */
}
.input-search-all{
    border: 1px solid #cecece;
    padding: 4px;
    background-color: inherit;
    margin-left: 3px;
}
.color-clear-search{
    color: #aaaaaa;
    cursor: pointer;
}
.fw-normal{font-weight: normal !important;}
.dot {
    height: 20px;
    width: 20px;
    border-radius: 100%;
    display: inline-block;
}

.border-top{border-top: 1px solid #d1d5da;}

.mw-93vw{
    max-width: 93vw !important;
}
.table, .td, .th {
    border: 1px solid #ddd !important;
    text-align: left !important;
  }
  .th, .td {
    padding: 13px;
  }
  .table {
    border-collapse: collapse !important;
    /* width: 100%; */
  }
  .font-grey{color:#4c4c4c;}

 .border-low-gray{
    border-bottom: .5px solid #ecececc9;
 }


.btn{    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    cursor: pointer;
    display: inline-block;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    margin-bottom: 0;
    padding: 6px 12px;
    text-align: center;
    touch-action: manipulation;
    user-select: none;
    vertical-align: middle;
    white-space: nowrap;
    background-color:transparent;
}

.btn-default {
    background-color: #fff;
    border-color: #ccc;
    color: #333;
}
.padding-5px{padding: 5px 5px !important;}
.w-34{
    width:34%;
}
.text-color-grey{color:#555;}
.w-15{
    width:15%;
}
.w-17vw{
    width:17vw;
}
.b-red{border-color:red !important;}

.b-green{border-color:rgb(57, 182, 57) !important;}
.b-right-green{border-right-color:rgb(57, 182, 57) !important;}
.w-85{width:85%;}
.w-65{width:65%}
.w-55{width:55%;}
.mw-100{
    max-width: 100%;
}

/* .rt-tr, .rt-th{  font-size: .875rem !important;}
.ReactTable .-pagination{font-size: .875rem !important;} */

/* ------ */

.btnstyle-none{
        background: none !important;
        color: inherit !important;
        border: none  !important;
        font: inherit !important;
        cursor: pointer !important;
        outline: inherit !important;
}
.font-open-sans{
    font-family: 'Open Sans', sans-serif;
}
.pv-4px{
    padding-top:4px;
    padding-bottom:4px;
}
.w-13px{
    width:13px;
}
.f-p7rem {
    font-size: .7rem;
}
.z-index-1{
    z-index:1;
}
/* hover scroll show */
    .scrollbox {
        overflow-y: auto;
        /* display:none; */
        visibility: hidden;
        scrollbar-width: thin;
    }
    .scrollbox-content,.scrollbox:hover,.scrollbox:focus {
        /* display:block; */
        visibility: visible;
    }

    .scrollbox_delayed {
        transition: visibility 0.2s;
    }
    .scrollbox_delayed:hover {
        transition: visibility 0s 0.2s;
    }

    .border-none{
        outline: none !important;
        border: none !important;
    }
    button:active {
        outline: none;
        border: none;
    }

    button:focus {
        outline:0;
    }

/*---- Custom Radio Button ---- */
    .container-radio {
        display: block;
        position: relative;
        padding-left: 20px;
        /* margin-bottom: 12px; */
        cursor: pointer;
        /* font-size: 14px; */
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      /* Hide the browser's default radio button */
      .container-radio input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
      }

      /* Create a custom radio button */
      .checkmark-radio {
        position: absolute;
        top: 0;
        left: 0;
        height: 12px;
        width: 12px;
        background-color: rgb(255, 255, 255);
        border:1.2px solid #767676;
        border-radius: 50%;
      }

      /* On mouse-over, add a grey background color */
      .container-radio:hover input ~ .checkmark-radio {
        background-color: #ccc;
      }

      /* When the radio button is checked, add a blue background */
      .container-radio input:checked ~ .checkmark-radio {
        background-color: #767676;
      }

      /* Create the indicator (the dot/circle - hidden when not checked) */
      .checkmark-radio:after {
        content: "";
        position: absolute;
        display: none;
      }

      /* Show the indicator (dot/circle) when checked */
      .container-radio input:checked ~ .checkmark-radio:after {
        display: block;
      }

      /* Style the indicator (dot/circle) */
      .container-radio .checkmark-radio:after {
           top: 3px;
          left: 3px;
          width: 6px;
          height: 6px;
          border-radius: 50%;
          background: white;
      }



/* ---- Custom Checkbox Button ---- */
    /* The container */
    .container-checkbox {
        display: inline-block;
        position: relative;
        padding-left: 20px;
        margin-bottom: 12px;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        color:#808080;
    }

    /* Hide the browser's default checkbox */
    .container-checkbox input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
    }

    /* Create a custom checkbox */
    .checkmark-checkbox {
        position: absolute;
        top: 0;
        left: 0;
        height: 13px;
        width: 13px;
        background-color: rgb(255, 255, 255);
        border:1.2px solid #808080;

    }

    /* On mouse-over, add a grey background color */
    .container-checkbox:hover input ~ .checkmark-checkbox {
        background-color: #ccc;
    }

    /* When the checkbox is checked, add a blue background */
    .container-checkbox input:checked ~ .checkmark-checkbox {
        background-color: #808080;
    }

    /* Create the checkmark/indicator (hidden when not checked) */
    .checkmark-checkbox:after {
        content: "";
        position: absolute;
        display: none;
    }

    /* Show the checkmark when checked */
    .container-checkbox input:checked ~ .checkmark-checkbox:after {
        display: block;
    }

    /* Style the checkmark/indicator */
    .container-checkbox .checkmark-checkbox:after {
        left: 4px;
        width: 4px;
        height: 8px;
        border: solid white;
        border-width: 0 2px 2px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }
/*--- Tag ---*/
    .tag-blue{
        color:white;
        background-color:#2196F3;
        text-decoration: none;
    }
    /* .tag-border-green{
        color: #3EB987;
        text-decoration: none;
        border: 1px solid #3EB987;
    } */
     /* .tag-border-green:hover{
        color: white;
        background-color:#3EB987;
    } */
    .tag-acknow-green{
        color: #3EB987;
        text-decoration: none;
        border: 1px solid #3EB987;
    }
    .acknow-green{
        color: #3EB987;
        text-decoration: none;
    }
    .tag-acknow-red{
        color: #EF443B;
        text-decoration: none;
        border: 1px solid #EF443B;
    }
    .acknow-red{
        color: #EF443B;
        text-decoration: none;
    }
    /* .tag-border-red{
        color: #EF443B;
        text-decoration: none;
        border: 1px solid #EF443B;
    } */
    /* .tag-border-red:hover{
        color: white;
        background-color:#EF443B;
    } */

/* --- Font Size --- */
    .f-1rem{
        font-size:1rem;
    }
    .f-p9rem{
        font-size:0.9rem;
    }
    .f-p5rem{
        font-size:.5rem;
    }
    .f-p7rem {
        font-size: .7rem;
    }
/* --- Other Style --- */
    .header-left-panel{
        color:#F8F9FA;
        background-color:#494F52; 
         /* background-color:rgb(78, 78, 78); */ 
        padding-left:5px;
        padding-right:5px;
        padding-bottom:.5rem;
        height:5vh;
        z-index:10;
        position:relative;
    }
    .mw-100{
        max-width:100%;
    }

    input::placeholder{
        color:rgb(194, 194, 194);
        font-family: 'Kanit', sans-serif !important;
    }
.link-red{
    color:red;
}
.link-red:hover{
    color:#E25353;
}
.b-bottom-tbody{border-bottom: 1px solid #f5f5f5;}
.tr-hover:hover
{ background-color: rgb(238, 238, 238);}
.w-100vw{
    width:100vw;
}
input[type="date"]::-webkit-inner-spin-button
{
   display: none;
   -webkit-appearance: none;
}
input[type="datetime-local"]::-webkit-inner-spin-button
{
   display: none;
   -webkit-appearance: none;
}
.text-header-input{
    color: gray;
    font-weight: bold;
}
.overflow-y-auto {
    overflow-y: auto;
    scrollbar-width: thin;
}
.overflow-x-auto {
    overflow-x: auto;
    scrollbar-width: thin;
}
.overflow-auto {
    overflow: auto;
    scrollbar-width: thin;
}
    /* [NS] Mobile Version  */
    @media screen and (min-width:0px) and (max-width:1365.9px){
        .pa0-mb{
            padding:0px;
        }
        .pl2-mb{
            padding-left: .5rem;
        }
        .mr2-mb{
           margin-right: .5rem;
        }
        .pr-2p5rem-mb{
            padding-right: 2.5rem;
        }
        .dn-mb{
            display:none !important;
        }
        .db-mb{
            display:block;
        }
        .w-100-mb{
            width:100%;
        }
        .w-97-mb{
            width:97%;
        }
        .w-50-mb{
            width:50%;
        }
        .mb5-mb{
            margin-bottom: 4rem;
        }
        .w-95vw-mb{
            width:95vw;
        }
        .pv3-mb{
            padding-top: 1rem;
            padding-bottom: 1rem;
        }
        .overflowx-auto-mb{
            overflow-x:auto;
            scrollbar-width: thin;
        }
        .mv-1-mb{
            margin-top: .25rem;
            margin-bottom: .25rem;
        }
        .mt-2-mb{
            margin-top: .5rem;
        }
        .mr-4px-mb{
            margin-right:4px;
        }
        .mr-6px-mb{
            margin-right:6px;
        }
        .overflowY-hidden-mb{
            overflow-y:hidden;
        }
        .z-index-5-mb{
            z-index:5;
        }
        .img-submenu-mb{
            width:17px;
            height:17px;
        }
        .l-10px-mb{
            left: 16px
        }
        .w-50-mb{
            width: 50%;
        }
        .dib-mb{
            display: inline-block;
        }
        .tc-mb{
            text-align: center;
        }
        .h-auto-im-mb{
            height: auto !important;
        }
       

    }
    /* Window Version*/
    @media screen and (min-width:1366px){
        .center-wd{
            left: 50%;
            transform: translate(-50%, 0px);
        }
        .relative-wd{
            position:relative;
        }
        .absolute-wd{
            position: absolute;
        }
        .ph0-wd{
            padding-left:0px;
            padding-right:0px;
        }
        .pl5-wd{
            padding-left: 4rem;
        }
        .pr-6rem-wd{
            padding-right: 6rem;
        }
        .mr5-wd{
           margin-right: 4rem;
        }
        .ml-45px-wd{
          margin-left:45px;
        }
        .flex-wd{
            display:flex;
        }
        .w-45px-wd{
            width:45px;
        }
        .w-50-wd{
            width: 50%;
        }
        .w-60-wd{
            width:60%;
        }
        .w-40-wd{
            width:40%;
        }
        .w-23-wd{
            width:23%;
        }
        .dn-wd{
            display:none;
        }
        .db-wd{
            display:block;
        }
        .h-80vh-wd{
            height: 80vh;
        }
        .h-50vh-wd{
            height: 50vh;
        }
        .h-40-wd{
            height: 40%;
        }
        .h-100-wd{
            height: 100%;
        }
        .mt-2px-wd{
            margin-top:2px;
        }
        .mt4-wd{
            margin-top: 2rem;
        }
        .mh3-wd{
            margin-left: 1rem;
            margin-right: 1rem;
        }
        .mr1-wd{
            margin-right: .25rem;
        }
        .mr-2px-wd{
            margin-right:2px;
        }
        .mr-4px-wd{
            margin-right:4px;
        }
        .pb3-w{
            padding-bottom: 1rem;
        }
        .pb4-w{
            padding-bottom: 2rem;
        }
        .pv3-wd{
            padding-top:1rem;
            padding-bottom:1rem;
        }
        .ml-45px-wd{
            margin-left:45px;
        }
        .l-10px-wd{
            left: 10px
        }
        .mh-45vh-wd{
            min-height:45vh;
        }
        .img-submenu-wd{
            width:17px;
            height:16px;
        }
        .w-100-wd{
            width: 100%;
        }
        .w-50vw-wd{
            width:50vw;
        }
        .w-35vw-wd{
            width:35vw;
        }
        .dib-wd{
            display: inline-block;
        }

    }
.bg-news-design{
    background-color:#FC1969;
}
.bg-news-feature{
    background-color:#1969FC;
}
.bg-news-announcement{
    background-color: #FCAC19;
}
.closebtn {
    font-weight: bold;
    float: right;
    font-size: 21px;
    line-height: 10px;
    cursor: pointer;
    transition: 0.3s;
}
.btn-clear-search {
    color: rgb(170, 170, 170);
    cursor: pointer;
}
.btn-clear-search:hover {
    color: #818181;
}
.bg-none{
    background:none !important;
}
.b-none{
    border: none !important;
}
.accordion-head {
    /* background-color: #cecece; */
    background-color: #D9E1E4;
    /* background-color: #D7EDF2; */
    color: #444;
    cursor: pointer;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 2px;
    padding-right: 2px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 13px;
    transition: 0.4s;
}
.in-search{
    padding: 4px;
    height: 28px;
    /* font-size:12px; */
    background-color:#f5f5f5;
    outline: none !important;
    border: none !important;

  }
  .recharts-cartesian-axis-tick {
    font-size: 11px;
    font-family: 'Kanit', sans-serif;
}

.recharts-default-tooltip{
    font-size: 11px;
    font-family: 'Kanit', sans-serif;
}

.loader,
.loader:before,
.loader:after {
  border-radius: 50%;
  width: 2em;
  height: 2em;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation: load7 1.8s infinite ease-in-out;
  animation: load7 1.8s infinite ease-in-out;
}
.loader-small,
.loader-small:before,
.loader-small:after {
  border-radius: 50%;
  width: 1em;
  height: 1em;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation: load7 1.8s infinite ease-in-out;
  animation: load7 1.8s infinite ease-in-out;
}
.loader-event-list,
.loader-event-list:before,
.loader-event-list:after{
  border-radius: 50%;
  width: 1.7em;
  height: 1.7em;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation: load7 1.8s infinite ease-in-out;
  animation: load7 1.8s infinite ease-in-out;
}
.loader,.loader-small,.loader-event-list {
  color: #d1d1d1;
  font-size: 10px;
  /* margin-left:60vw;
  margin-top:calc(50vh - 1em); */
  text-indent: -9999em;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}
.loader:before,.loader:after,.loader-small:before,.loader-small:after,.loader-event-list:before,.loader-event-list:after{
  content: '';
  position: absolute;
  top: 0;
}
.loader:before,.loader-small:before,.loader-event-list:before {
  left: -3.5em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}
.loader:after,.loader-small:after,.loader-event-list:after{
  left: 3.5em;
}
@-webkit-keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2.5em 0 -1.3em;
  }
  40% {
    box-shadow: 0 2.5em 0 0;
  }
}
@keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2.5em 0 -1.3em;
  }
  40% {
    box-shadow: 0 2.5em 0 0;
  }
}
.link-hover-gray{
    color:gray;
}
.link-hover-gray:hover{
    color:#3e3e3e;
}

.alert-box {
    position: absolute;
    transform:translate(0,120vh);
    animation: slide-alert-box 0.9s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
@keyframes slide-alert-box {
    0%{transform:translate(0vh,-120vh);}
    100% { transform:translate(0vh,0vh);}
}
/* react-virtualized-select */
/* .Select-clear-zone{
    display: none !important;
} */
select::-webkit-scrollbar{
    width:8px;
    height:8px;
}

.slide-real {
    transition: 0.5s;
    /* transition-delay: 250ms; */
}

.select-drp-real {
    margin: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image:
      linear-gradient(45deg, transparent 50%, #999 50%),
      linear-gradient(135deg, #999 50%, transparent 50%),
      linear-gradient(to right, #ffffff, #ffffff);
    background-position:
      calc(100% - 15px) calc(100% - 15px),
      calc(100% - 10px) calc(100% - 15px),
      100% 0;
    background-size:
      5px 5px,
      5px 5px,
      2.5em 2.5em;
    background-repeat: no-repeat;
 }
  .select-history-drp {
    margin: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image:
      linear-gradient(45deg, transparent 50%, #999 50%),
      linear-gradient(135deg, #999 50%, transparent 50%),
      linear-gradient(to right, white, white);
    background-position:
      calc(100% - 15px) calc(100% - 15px),
      calc(100% - 10px) calc(100% - 15px),
      100% 0;
    background-size:
      5px 5px,
      5px 5px,
      2.5em 2.5em;
    background-repeat: no-repeat;
 }

  .date-history{
        background-color: rgb(255, 255, 255) !important;
        border-radius: 4px !important;
        border:1px solid #e3e3e3 !important;
        height: 30px;
        outline: none !important;
        color: #444444;
        cursor: pointer;
        /* margin-right:1px; */
        width: calc(100% - 8px - .25rem - 108px - 2px);
 }
    .history-select-num{
        width:54px;
        height: 33px;
        padding-left:4px;
        scrollbar-width: thin;
 }
    .input-history{
    /* width: 211px; */
    /* padding-top: 1.3px;
    padding-bottom: 1.3px; */
    background-color:white;
    outline: none !important;
    border: 1px solid #cecece;
    border-radius: 4px;
    color: #565656;
    /* cursor: pointer; */
}
    .select-filterreport-history{
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-appearance: none;
        -moz-appearance: none;
        background-image:
          linear-gradient(45deg, transparent 50%, #999 50%),
          linear-gradient(135deg, #999 50%, transparent 50%),
          linear-gradient(to right, #fff, #fff);
        background-position:
          calc(100% - 9px) calc(100% - 5px),
          calc(100% - 5px) calc(100% - 5px),
          100% 0;
        background-size:
          5px 5px,
          5px 5px,
          2.5em 2.5em;
        background-repeat: no-repeat;
    }
    .select-v-graph {
        margin: 0;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-appearance: none;
        -moz-appearance: none;
        background-image:
          linear-gradient(45deg, transparent 50%, #999 50%),
          linear-gradient(135deg, #999 50%, transparent 50%),
          linear-gradient(to right, #ffffff, #ffffff);
        background-position:
          calc(100% - 15px) calc(100% - 10px),
          calc(100% - 10px) calc(100% - 10px),
          100% 0;
        background-size:
          5px 5px,
          5px 5px,
          2.5em 2.5em;
        background-repeat: no-repeat;
     }

     .text-clip-ellipsis{
         /* text-overflow: ellipsis; */
         white-space: nowrap;
         overflow: hidden;
         text-overflow: clip ellipsis
     }


     .text-ellipsis{
        text-decoration: none;
        text-overflow: ellipsis; /* เพิ่ม ... จุดจุดจุดท้ายสุด */
        display: block; overflow: hidden;
        white-space: nowrap;
        }

     .rt-tbody{
        overflow-x:hidden !important;
    }
    .br-4px{
        border-radius: 4px;
    }
.hover-blue-color{
     background-color:inherit;
     /* color: inherit;  */
}
.hover-blue-color:hover{
    /* background-color:#eeeeee; */
    color: #247cf0;
}

.hover-list{
    background-color:inherit;
}
.hover-list:hover{
     background-color:#eeeeee;
}

.f-header-menu{
    font-size:16px;
}

/* Switch Active */
.switch-active[type=checkbox]{
	height: 0;
	width: 0;
	visibility: hidden;
}
.switch-active-label {
    cursor: pointer;
    text-indent: -9999px;
    width: 40px;
    height: 20px;
    background: grey;
    display: block;
    border-radius: 100px;
    position: relative;
}

.switch-active-label:after {
	content: '';
    position: absolute;
    top: 3px;
    left: 3px;
    width: 14px;
    height: 14px;
    background: #fff;
    border-radius: 90px;
    transition: 0.3s;
}

.switch-active:checked + label {
	background: #bada55;
}

.switch-active:checked + label:after {
	left: calc(100% - 3px);
	transform: translateX(-100%);
}

.switch-active-label:active:after {
	width: 40px;
}
.btn-delete:hover{
    color:red;
}
.input-readonly{
    background-color: #f3f4f7 !important;
    border-color: #e7e9ef !important;
}

/* --- Map Tool --- */
.map-tool{
    position:absolute;
    z-index:0;
}
.map-tool-btn{
    border-bottom: 1px dotted black;
    background-color: white;
    border: 2px solid rgba(0,0,0,0.2);
    background-clip: padding-box;
    border-radius: 4px;
    width: 34px !important;
    height: 34px !important;
    position: absolute;
}
.map-tool .map-tool-list{
    visibility: hidden;
    width: 170px;
    border-bottom: 1px dotted black;
    background-color: white;
    border: 2px solid rgba(0,0,0,0.2);
    background-clip: padding-box;
    border-radius: 4px;
    /* padding: 5px 0; */
    position: absolute;
    opacity: 0;
    /* transition: opacity 0.3s; */
    margin-left:10px;
    margin-top:10px;
    overflow-y:auto;
    max-height:160px;
}
  .map-tool:hover .map-tool-list{
    visibility: visible;
    opacity: 2;
    z-index:1000;
  }

  /*--Report--*/
  .input-border {
    border: 1px solid #e3e3e3;
    border-radius: 4px;
    color: #565656;
    padding: 8px 12px;
    height: 40px;
    outline: none;
}
.input-border:focus {
    border: 1px solid #4285f4 !important;
    border-radius: 4px;
    color: #565656;
    padding: 8px 12px;
    height: 40px;
    outline: none;
}

.row-col{
    width: 50%;
    float: left;
    position: relative;
    min-height: 1px;
}
.col-pd-wd{
  padding: 0 6px;
}
.form-group-bt-all{
    margin-bottom: 6px;
}
.col-md-wd {
    width: 100%;
}
.w-input{
    width: 150px;
}
.w-input-datetime{
    width: 250px;
}
.clear{
    clear: both;
}
.bd-input-rp {
    border: 1px solid #ddd !important;
}
.w-input-type{
    width: 250px !important;
}
.w-input-date {
    width: 190px !important;
}
.bt-none {
    border-top:none !important;
}
.p-search-rp {
    padding-left: 9px !important;
    padding-right: 9px !important;
    /* padding-top: 20.5px !important;
    padding-bottom: 20.5px !important; */
}
.text-normal-t {
    color: #575962;
}



/* The container */
.container-input-checkbox {
    display: block;
    position: relative;
    padding-left: 24px;
    /* margin-bottom: 12px; */
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

  /* Hide the browser's default checkbox */
  .container-input-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  .input-checkbox-text{
    position:relative;
    top:2.5px;
  }
  /* Create a custom checkbox */
  .input-checkbox {
    position: absolute;
    top: 0;
    left: 0;
    border: 1px solid #2224268c;
    border-radius: 0.2em;
    display: inline-block;
    width: 8px;
    height: 4px;
    padding-left: 8px;
    padding-bottom: 10px;
    vertical-align: bottom;
    color: transparent;
  }
  /* .input-checkbox input:disabled{
    color:"black";
    background-color: #f3f4f7 !important;
    border-color: #e7e9ef !important;

} */

  /* On mouse-over, add a grey background color */
  .container-input-checkbox:hover input ~ .input-checkbox {
    background-color: #ccc;
  }

  /* When the checkbox is checked, add a blue background */
  .container-input-checkbox input:checked ~ .input-checkbox {
    background-color: white;
    border-color: #2224268c;
  }

  /* Create the checkmark/indicator (hidden when not checked) */
  .input-checkbox:after {
    content: "";
    position: absolute;
    display: none;
  }

  /* Show the checkmark when checked */
  .container-input-checkbox input:checked ~ .input-checkbox:after {
    display: block;
  }

  /* Style the checkmark/indicator */
  .container-input-checkbox .input-checkbox:after {
    left: 6px;
    width: 2px;
    height: 8px;
    border: solid #545454;;
    border-width: 0 2.5px 2.5px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    transition: .2s;
  }


  /* React dropdown select */
  .css-c91z-NoDataComponent{
    font-size: 1rem;
    text-align: center !important;
    color: #999 !important;
  }
/* react virtualized table */
.ReactVirtualized__Table__headerRow{
    background-color:#45b3e3 !important;
    color:white;
}

/* Tooltip Left Menu */
.tooltip-report-table .tooltiptext {
    margin-right:100%;
}
.tooltip .tooltiptext{
    visibility: hidden;
    background-color: black;
    color: #fff;
    text-align: center;
    font-size:10px;
    border-radius: 4px;
    padding: 4px 10px;
    position: absolute;
    z-index: 100;
    white-space: nowrap;
}

.tooltip .tooltiptext::after {
content: "";
position: absolute;
border-style: solid;
border-color: transparent black transparent transparent;
}

.tooltip:hover .tooltiptext {
visibility: visible;
z-index:10000;
}

/* Tooltip Left */
/*  {  */
    .tooltip {
        position: relative;
        display: inline-block;
      }

      .tooltip .tooltip-text {
        visibility: hidden;
        background-color: #3d434ed6;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        padding: 5px 5px;
        /* Position the tooltip */
        position: absolute;
        z-index: 5;
        top: calc(25% - 2.5px);
        font-size:10px;
        white-space: nowrap;
        opacity:1;
      }
      .tooltip-left{
           right: 105%;
      }
      .tooltip-right{
        left: 105%;
   }

      .tooltip:hover .tooltip-text {
        visibility: visible;
      }

/*  }  */

/* Tooltip Info */
.tooltip .tooltip-info-text {
    visibility: hidden;
    background-color: #fff;
    color: #333333;
    text-align: left;
    border-radius: 6px;
    padding: 5px 5px;
    /* Position the tooltip */
    position: absolute;
    z-index: 5;
    top: calc(25% - 2.5px);
    font-size:10px;
    /* opacity:1; */
    opacity: 0;
    transition: opacity .5s;
}
  .tooltip-info-text div ::before{
        word-wrap: break-word;
  }

/* .tooltip .tooltip-info-text::after {
    content: "";
    position: absolute;
    border-style: solid;
    border-color: transparent black transparent transparent;
} */

  .tooltip:hover .tooltip-info-text {
    opacity:1;
    visibility: visible;
    z-index:10;
  }
/*  */


/* React Dropdown Select */
.css-3rj0br-ReactDropdownSelect,.css-6z36oe-ReactDropdownSelect{
    padding: 2px 10px !important;
}

/* React virtualized Select */
.ReactVirtualized__Grid {
    scrollbar-width: thin;
}
.css-26l3qy-menu{
scrollbar-width: thin;
}

/* leftfelt routing */
.leaflet-routing-container-hide{
    display:none;
}
.bg-hover-gray:hover{
background-color:#ecebeb;
}
.icon-lock{
    color: #247cf0;

}
.icon-lock-hover{
    color: #247cf0;

}
.icon-lock-hover:hover {
    color: #247cf0;

}
.light-silver-hover:hover {
    color: #247cf0;
}
.light-silver-hover {
    color: #cecece;
}
.light-silver {
    color: #cecece;
}
.icon-approve:hover {
    color: green;
}

/* leftlet list */
.style-leaflet-list{
    font-size: 12.5px;
    width: 100%;
    border-bottom: 1px solid #ecececc9;
    clear:both;
}
.leaflet-list-head{
    font-weight: 700;
    width: 30%;
    float: left;
    margin: .25rem 0px;
}
.leaflet-list-title{
    width: calc(70% - .5rem);
    float: left;
    margin: .25rem .25rem;
}

.css-r4o3q6-DropDown{
    z-index:15 !important;
}
.leaflet-bar{
    box-shadow: none !important;
}

.border-input-all{
    border: 1px solid #cecece;
}
.input-tms-event{
    padding-left: 3px;
    margin-left: 3px;
    height: 33px;
    /* font-size: 12px; */
    /* background-color: #f5f5f5; */
    background-color: inherit;
    border: 1px solid #cecece;
    border-radius: 4px;
    width: calc(100% - 20px);
}

.table-font{
    font-size: 8.5pt;
}

.a-back{
    color:#909090;
}
.a-back:hover{
    color:rgb(46, 46, 46);
}

  .border-input-all{
      border: 1px solid #cecece;
  }
  .input-tms-event{
        padding-left: 3px;
        margin-left: 3px;
        height: 33px;
        /* font-size: 12px; */
        /* background-color: #f5f5f5; */
        background-color: inherit;
        border: 1px solid #cecece;
        border-radius: 4px;
        width: calc(100% - 20px);
  }

  /*thing create*/
  .row-col-thingname{
    width: 50%;
    float: left;
    position: relative;
    min-height: 1px;
}

.input-border-thing {
    border: 1px solid #009DDE;
    border-radius: 4px;
    color: #565656;
    padding: 8px 12px;
    height: 40px;
    outline: none;
}
.input-border-thing:focus {
    border:1px solid #4285f4
}
.input-border-thing:read-only {
    border: 1px solid #cecece !important;
    cursor: default;
}

/*page signup form*/
.logo-home{
    position: absolute;
    left: 25px ;
    top: 20px;
    height: 30px;
    width: auto;
}
.p-label{
    padding-top: 15rem;
    padding-left: 5rem;
    padding-right: 5rem;
}
.t-just{
    text-align: justify;
    text-justify: inter-word;
}
.label-gray{
    color:#625959;
}
.alert-text{
    color:red;
    font-size:12px;
    margin-block-start: 0.5em !important;
}
.wrap-input100 {
    width: 100%;
    /* position: relative; */
    border-bottom: 2px solid #adadad;
    margin-bottom: 37px;
}

.modal-all{
    /* max-height: 90vh; */
    /* width: 15vw; */
    height: auto;
    background: #fff;
    /* border: 1px solid #9e9e9e; */
    box-shadow: rgba(0, 0, 0, 0.3) 0px 2px 4px;
    border-radius: 4px;
}
.modal-head{
    background-color:#4e4e4e;
    height:5vh;
    min-height:30px;
    position:relative;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.modal-head-white{
    height:5vh;
    min-height:30px;
    position:relative;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-bottom:1px solid #D5D5D5;
    display:flex;
    align-items: center;
}

.modal-head-blue{
    color:white;
    background-color:#3B82F6;
    /* height:5vh; */
    min-height:30px;
    position:relative;
    padding:0.75rem 0rem 0.75rem 0rem;
    margin: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 4px 4px 0px 0px ;
    border-bottom:1px solid #D5D5D5;
    display:flex;
    align-items: center;
}

.modal-head-btn-close{
    display:flex;
    position:absolute;
    cursor: pointer;
    border:none;
    background:none;
    right:10px;
    color:white;
}

/* ReCharts */
.recharts-legend-item-text{
    font-size:11px;
}
.recharts-layer{
    font-size:12px;
}
.input-modal{
    border: 1px solid #009dde;
    border-radius: 5px;
    color: #565656;
    padding: 8px 12px;
    font-size:13px;
    width:calc(100% - 26px);
}
/* React Modal */
.ReactModal__Content{
  padding:0px !important;
}
.ReactModal__Overlay{
  z-index:4;
  background-color:#00000047 !important;
}
.items-baseline{
  align-items: baseline;
}

.flex-wrap-30per {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
  }
  .flex-wrap-30per >* {
    flex: 0 0 30%;
  }
.flex-wrap-25per {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}
.flex-wrap-25per >* {
  flex: 0 0 25%;
}

.flex-wrap-auto {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
  }
  .flex-wrap-auto >* {
    flex: auto;
  }
  .hover-underline:hover{
    text-decoration: underline;
  }

  .link-blue{
    color:#3B82F6;
    cursor: pointer;
    text-decoration:none;

  }
  .link-blue:hover{
    color:#3B82F6 !important;
    text-decoration:underline;
  }


  .select-up .Select-menu-outer {
    position: absolute !important;
    top: auto !important;
    bottom: calc(100% - 1px) !important;
    border-bottom-left-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.select-up .is-open .Select-control {
    border-top-right-radius: 0 !important;
    border-top-left-radius: 0 !important;
    border-bottom-right-radius: 5px !important;
    border-bottom-left-radius: 5px !important;
}
.btn-cancel{
   cursor: pointer;
   border-radius: 4px;
   color:black;
}
.btn-cancel:hover{
    background-color:red;
}
.border-blue{
    border:1px solid #96ccff;
}
.blue-500{
    color:#3B82F6;
}
.hover-blue-500:hover{
    color:#3B82F6;
}
.blue-700{
    color:#1E40AF;
}
.blue-800{
    color:#1E40AF;
}
.hover-blue-800:hover{
    color:#1E40AF;
}
.red-500{
    color:#EF4444;
}
.hover-red-500:hover{
    color:#EF4444;
}
.gray-500{
    color:#64748B;
}

.bg-blue-500{

    background-color:#3B82F6;
}


.cursor-default{
    cursor:default;
}

.shadow-select{
    box-shadow: 0px 1.36267px 6.81335px rgba(59, 130, 246, 0.25);
    border:2px solid #3B82F6;
}

.hover-shadow-blue:hover{
    box-shadow: 0px 0px 8px 2px #3B82F6;
}


.input-form{
    height:36px;
    border:1px solid #00000033;
    font-size: 14px;
  }
/* .input-form .Select-control{
    height:33px;
} */

.input-form:focus, .input-form:focus-visible, .input-form:focus-within{
    outline: none !important;
    border: 2px solid #3b82f6 !important;
    height:39px;

  }

.t-7{
    top:7%;
}

/* Tachyon ns size */
@media screen and (min-width:0px) and (max-width:30em){
    .t-7-ns{
        top:7%;
    }
    .right0-im-ns{
        right:0px !important;
    }

}

/* Tachyon m size */
@media screen and (min-width:30em) and (max-width:60em){
    .t-15-m{
        top:15%;
    }
    .right0-im-m{
        right:0px !important;
    }
}

/* Tachyon L size */
@media screen and (min-width: 60em){
    .f-18px-l{
        font-size: 18px;
    }
    .t-15-l{
        top:15%;
    }
    .f-30px-l{
        font-size:30px;
    }
}

.slideIn-y-panel{
    transform: translateY(-100%);
    transition: all .5s ease-in-out;
 
    
    
}
.slideOut-y-panel{
    transform: translateY(0%);
    transition: all .5s ease-in-out;
 

}
.slide-event{
position: absolute;
left: 0;
overflow: hidden;
}

.btn-arrow-down{
    transform: rotate(0deg);
    transition: transform .5s linear;
  }
  
  .btn-arrow-up{
    transform: rotate(180deg);
    margin-top:3px;
    transition: transform .5s linear;
  }

  .btn-slide-count-event{
    background-color:#ffffffa3;
    border-radius: 90%;
    border:none !important;
    cursor:pointer;
    width:30px;
    height:30px;
    padding:3px;
    box-shadow:0 0 6px #38383869;
}

.btn-slide-count-event:hover{
    align-items:center;
    background-color:#e8eaed8f;
    /* box-shadow:0 0 6px rgba(56, 56, 56, 0.3); */
}

.top-icon-slide-up{
    top:37px;
}
.top-icon-slide-down{
    top:-8px;
}
.top-icon-slide-down:hover{
    top:2px;
    transition: "all .3s ease-in-out" !important;
}
/*    Animation    */
.slide-up{
    transform: translateY(0%);
}

.fade-out-down{
    animation: fadeOut 1s ease-in both;
}
@keyframes fadeOut {
	from {
		opacity: 1;
		transform: translate3d(0, 0%, 0);
	}
	to {
		opacity: 0;
		transform: translate3d(0, 100%, 0);
	}
}

.f-15px{
    font-size: 15px !important;
}

.text-blue{
    color:#3B82F6;
}

.bg-highlight-blue{
    background-color:rgba(59,130,246,0.2);
}

.btn-trash:hover{
    color:#DC2626;
}

.b-green-500{
    border-color:#10B981; 
}
.green-500{
    color:#10B981; 
}

/* Sweet Alert style */

.swal2-html-container, .swal2-title {
    font-size: 24px !important;
    font-family: 'DBHelvethaica', sans-serif !important;
  }
.swal2-confirm{
    /* font-size: 20px !important; */
    font-family: 'DBHelvethaica', sans-serif !important;
}
.swal2-cancel {
    font-family: 'DBHelvethaica', sans-serif !important;
}

/* Map ESRI */

.esri-expand__container{
    width:100%;
}
.esri-view-width-xsmall .esri-expand--auto .esri-expand__container--expanded{
    left:0px;
}